/* =============
   Bootstrap-custom
============= */

.row {
  margin-right: -10px;
  margin-left: -10px;
}

.col, .col-1, .col-10, .col-11, .col-12, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7,
.col-8, .col-9, .col-auto, .col-lg, .col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2,
.col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-auto,
.col-md, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4,
.col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-auto, .col-sm, .col-sm-1,
.col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6,
.col-sm-7, .col-sm-8, .col-sm-9, .col-sm-auto, .col-xl, .col-xl-1, .col-xl-10, .col-xl-11,
.col-xl-12, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8,
.col-xl-9, .col-xl-auto {
  padding-left: 10px;
  padding-right: 10px;
}

.breadcrumb {
  background-color: transparent;
  margin-bottom: 15px;
  padding-top: 10px;
  padding-left: 0;

  a{
    color: $muted;
  }
}

.breadcrumb>li+li:before {
  padding: 0 5px;
  color: #ccc;
  content: "\f105" !important;
  font-family: FontAwesome !important;
}

.media {
  margin-top: 25px;
}


// Card
.card {
  margin-bottom: 20px;
}

.card-columns {
  .card {
    margin-bottom: 20px;
  }
}
@media (min-width: 576px) {
  .card-deck .card {
      margin-right: 10px;
      margin-left: 10px;
  }
}

/* Dropdown */

.dropdown-menu {
  padding: 4px 0;
  font-size: $font-size-base;
  box-shadow: 0 3px 12px rgba(0,0,0,.05);
  border-color: $light;
}

.dropdown-menu-animated {
  display: block;
  visibility: hidden;
  opacity: 0;
  transition: all 300ms ease;
  -moz-transition: all 300ms ease;
  -webkit-transition: all 300ms ease;
  -o-transition: all 300ms ease;
  -ms-transition: all 300ms ease;
  margin-top: 20px!important;
}

.show>.dropdown-menu {
  visibility: visible;
  opacity: 1;
  margin-top: 0 !important;
}

.dropdown-item.active, .dropdown-item:active{
  color: $dark;
  text-decoration: none;
  background-color: darken($white,3%);
}

.dropdown-lg {
  width: 260px;
}

.arrow-none {
  &:after {
    border: none;
    margin: 0;
    display: none;
  }
}

.dropdown-item.active, .dropdown-item:active {
  color: $dark;
  background-color: $light3;
}

// Cards
.card-title,.card-header {
  margin-top: 0;
}


/* Background colors */

.bg-primary {
  background-color: $primary !important;
}

.bg-success {
  background-color: $success !important;
}

.bg-info {
  background-color: $info !important;
}

.bg-warning {
  background-color: $warning !important;
}

.bg-danger {
  background-color: $danger !important;
}

.bg-muted {
  background-color: $light3 !important;
}

.bg-inverse {
  background-color: $inverse !important;
}

.bg-purple {
  background-color: $purple !important;
}

.bg-pink {
  background-color: $pink !important;
}

.bg-white {
  background-color: $white !important;
}

.bg-dark {
  background-color: $dark !important;
}


/* Text colors */

.text-white {
  color: $white !important;
}

.text-danger {
  color: $danger !important;
}

.text-muted {
  color: $muted !important;
}

.text-primary {
  color: $primary !important;
}

.text-warning {
  color: $warning !important;
}

.text-success {
  color: $success !important;
}

.text-info {
  color: $info !important;
}

.text-inverse {
  color: $inverse !important;
}

.text-pink {
  color: $pink !important;
}

.text-purple {
  color: $purple !important;
}

.text-dark {
  color: $dark !important;
}



/* Labels */
.label {
  display: inline;
  padding: 0.3em .6em;
  font-size: 75%;
  font-weight: $font-weight-semi-bold;
  line-height: 1;
  color: $white;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: .25em;
}

.label:empty {
  display: none;
}

.label-white {
  background-color: fade($white,70%);
  color: $dark !important;
}

.label-default {
  background-color: $light;
  color: $dark;
}

.label-primary {
  background-color: $primary;
}

.label-success {
  background-color: $success;
}

.label-info {
  background-color: $info;
}

.label-warning {
  background-color: $warning;
}

.label-danger {
  background-color: $danger;
}

.label-purple {
  background-color: $purple;
}

.label-pink {
  background-color: $pink;
}

.label-inverse {
  background-color: $inverse;
}

.label-muted {
  background-color: $muted;
}


/* Badge */
.badge {
  text-transform: uppercase;
  padding: 3px 5px;
  margin-top: 1px;
  display: inline-block;
  min-width: 10px;
  font-weight: $font-weight-semi-bold;
  line-height: 1;
  color: $white;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  border-radius: 10px;
  font-family: $font-secondary;
}

.badge-xs {
  font-size: 9px;
}

.badge-xs, .badge-sm {
  -webkit-transform: translate(0, -2px);
  -ms-transform: translate(0, -2px);
  -o-transform: translate(0, -2px);
  transform: translate(0, -2px);
}

.badge-white {
  background-color: fade($white,70%);
  color: $dark !important;
}

.badge-primary {
  background-color: $primary;
}

.badge-success {
  background-color: $success;
}

.badge-info {
  background-color: $info;
}

.badge-warning {
  background-color: $warning;
}

.badge-danger {
  background-color: $danger;
}

.badge-purple {
  background-color: $purple;
}

.badge-pink {
  background-color: $pink;
}


.badge-inverse {
  background-color: $inverse;
}

/* Pagination/ Pager */

.pagination > li:first-child > a,
.pagination > li:first-child > span {
  border-bottom-left-radius: 3px;
  border-top-left-radius: 3px;
}

.pagination > li:last-child > a,
.pagination > li:last-child > span {
  border-bottom-right-radius: 3px;
  border-top-right-radius: 3px;
}

.pagination > li > a,
.pagination > li > span {
  color: $dark;
}

.pagination > li > a:hover,
.pagination > li > span:hover,
.pagination > li > a:focus,
.pagination > li > span:focus {
  background-color: $light;
}

.pagination-split li {
  margin-left: 5px;
  float: left;
}

.pagination-split li:first-child {
  margin-left: 0;
}

.pagination-split li a {
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
}

.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus,
.page-item.active .page-link {
  background-color: $primary;
  border-color: $primary;
}

.pager li > a, .pager li > span {
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
  color: $dark;
}


.list-group-item.active, .list-group-item.active:focus,
.list-group-item.active:hover {
  background-color: $primary;
  border-color: $primary;
}
.list-group-item.active .list-group-item-text,
.list-group-item.active:focus .list-group-item-text,
.list-group-item.active:hover .list-group-item-text {
  color: fade($white,70%);
}

// Progress
.progress-bar {
  background-color: $primary;
}